Testing a filter for .osm datasources shows placeholders in the message

2018-11-18 04:02 AM - Ivan Ivanov

Status: Open

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.4.1 Regression?: No

Operating System: Ubuntu 18.10, Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28357

Description

When applying a filter (e.g. 1 = 1) on a vector layer and pressing the Test button, sometimes I get message with placeholders unreplaced:

The where clause returned %n row(s).

This currently happened on a .osm layer.

History

#1 - 2018-11-19 10:48 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Low to Normal

Does it work as expected on 2.18?

#2 - 2018-11-20 01:58 PM - Alessandro Pasotti

I cannot reproduce on master. What are your language settings?

#3 - 2018-11-20 06:29 PM - Ivan Ivanov

I had the same problem on Windows 10 and Ubuntu before with en_US systrem locale. What is more, currently the bug only is observed only with .osm

files, tried with .gpkg/.shp/.gdb and it correctly replaces the placeholder with number.

suricactus@orange:~$ locale

LANG=C.UTF-8

LANGUAGE=

LC_CTYPE="C.UTF-8" 

LC_NUMERIC=en_US.UTF-8

LC_TIME=C.UTF-8

LC_COLLATE="C.UTF-8" 

LC_MONETARY=C.UTF-8

LC_MESSAGES="C.UTF-8" 

LC_PAPER=C.UTF-8

LC_NAME=C.UTF-8

LC_ADDRESS=C.UTF-8
LC_TELEPHONE=C.UTF-8

LC_MEASUREMENT=C.UTF-8

LC_IDENTIFICATION=C.UTF-8

LC_ALL=

#4 - 2018-11-21 12:39 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Subject changed from Testing a filter shows placeholders in the message to Testing a filter for .osm datasources shows placeholders in the message

- Category changed from GUI to Vectors

Files

Screenshot from 2018-11-18 04-01-47.png 53.5 KB 2018-11-18 Ivan Ivanov

2025-06-08 2/2


